## grandfatherclock 1.0.2

=== doc/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # Project: grandfatherclock
 # File:    installation script
 # Type:    make(1) script
+# Author:  Dr. Robert J. Meier
+# History: 00-07-21 -rjm- file creation
 #
 
 
@@ -10,7 +12,7 @@
 # Constants
 #
            NAME=grandfatherclock
-        VERSION=1.0.1
+        VERSION=1.0.2
         RELEASE=1suse
 
          RPMDIR=/usr/src/packages
@@ -42,7 +44,7 @@
 	@echo "  remove packages"
 	@echo "make changes"
 	@echo "  compare $(NAME)-$(VERSION)/"
-	@echo "  to installation
+	@echo "  to installation"
 	@echo "make tgz"
 	@echo "  rebuild tar.gz package"
 	@echo "  requires $(NAME)-$(VERSION)/"
