=== debian/changelog ===
grandfatherclock (1.0.2-6) unstable; urgency=low

  * QA upload.
  * patches/fix_default_play_command.patch
  - Add patch to fix playback command (LP: #480960)

 -- Ricardo Mones <mones@debian.org>  Sun, 30 May 2010 11:45:38 +0200

grandfatherclock (1.0.2-5) unstable; urgency=low

  * QA upload.
  * Switch to dpkg-source 3.0 (quilt) format
  - Add source/format, debian/patches/* with current diff.gz patches,
    Add new files also in diff.gz: cron example file renamed to avoid
    clash with build directory, added empty build target to Makefile
  * debian/control 
  - Set maintainer address to QA group
  - Bump Standards-Version (no other changes), added Homepage as field
  * debian/control, debian/rules, debian/compat, debian/clean
  - Switch to debhelper sequencer, bump debhelper version and compat
    and fix URL, added clean file for provided files
  * debian/copyright
  - Reformatted following DEP5
  * debian/menu
  - Fixed obsolete "Apps" section
  * debian/watch
  - Added watch file
  * debian/postinst
  - Added "set -e" according policy 10.4

 -- Ricardo Mones <mones@debian.org>  Fri, 14 May 2010 08:18:39 +0200

grandfatherclock (1.0.2-4) unstable; urgency=low

  * acknowledged NMU
  * no /usr/doc symlink (closes: #359427)
  * debian/conffiles: removed because new debhelper automatically marks
    /etc/grandfatherclockrc as conffiles
  * doc/grandfatherclock.6: escaped minus signs
  * debian/postinst: use && instead of test -a (just to silence lintian)
  * debian/postinst: removed the -f option from rm (if removing an existing
    file fails, it should be reported as an error)

 -- Oohara Yuuma <oohara@debian.org>  Sat, 30 Dec 2006 10:18:40 +0900

grandfatherclock (1.0.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359427).
  * Upgrade packaging to more current standars.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 16 Jul 2006 17:18:13 +0200

grandfatherclock (1.0.2-3) unstable; urgency=low

  * debian/copyright: updated the e-mail address of the upstream

 -- Oohara Yuuma <oohara@debian.org>  Fri,  2 Aug 2002 23:50:50 +0900

grandfatherclock (1.0.2-2) unstable; urgency=low

  * bin/grandfatherclock, etc/grandfatherclockrc: changed the default
    name of the lock file to follow FHS

 -- Oohara Yuuma <oohara@debian.org>  Thu,  1 Aug 2002 21:36:51 +0900

grandfatherclock (1.0.2-1) unstable; urgency=low

  * new upstream release (closes: #148524)
  * debian/README.Debian: the default audio device is /dev/dsp,
    not /dev/audio
  * doc/grandfatherclock.6: fixed typo
  * debian/control: added the URL of the upstream webpage
  * debian/copyright: update upstream information
  * debian/copyright: the license is GPL exactly version 2 (no later
    version is allowed)
  * bin/grandfatherclock: exits as soon as the sound playing command
    fails when tolling the hour

 -- Oohara Yuuma <oohara@debian.org>  Fri, 31 May 2002 23:52:37 +0900

grandfatherclock (1.0.1-7) unstable; urgency=low

  * bin/grandfatherclock, etc/grandfatherclockrc: changed the default
    command from cat *.au > /dev/audio to sox *.au -t ossdsp /dev/dsp
    (closes: #91997)
  * debian/control: added Depends: sox (>= 12.17.3-1) to ensure
    that it can run under the default configuration

 -- Oohara Yuuma <oohara@debian.org>  Fri, 22 Feb 2002 18:08:31 +0900

grandfatherclock (1.0.1-6) unstable; urgency=low

  * debian/README.Debian: replaced /dev/dsp with /dev/audio, removed
    a notice about deleting crontab after the removing the package
    (closes: #132932)
  * debian/conrtol: added Suggests: cron
  * debian/conrtol: changed the maintainer's email address

 -- Oohara Yuuma <oohara@debian.org>  Tue, 19 Feb 2002 18:19:01 +0900

grandfatherclock (1.0.1-5) unstable; urgency=low

  * new maintainer
  * adopting an orphaned package (closes: #100228)
  * debian/control: s/Build-Depends/Build-Depends-Indep/
  * debian/rules: moved the entire build process from binary-arch
    to binary-indep
  * debian/control: added perl, perl-modules (>= 5.6.1-5) to Depends:
    because grandfatherclock(6) is a perl script and it uses getopts.pl
  * bin/grandfatherclock: applied the patch from Dylan Thurston
    <dpt@math.harvard.edu> to read the correct configuration file.
    The configuration file is /etc/grandfatherclockrc, not
    /etc/grandfatherclock/grandfatherclockrc. (closes: #109258)
  * debian/control: fixed a typo found by Matt Zimmerman <mdz@debian.org>'s
    mass spelling check (closes: #124700)
  * debian/rules: commented out some debhelper scripts, set DH_COMPAT to 2,
    and renamed the install directory from debian/tmp to
    debian/grandfatherclock
  * debian/docs: renamed to debian/grandfatherclock.examples
  * debian/rules: use dh_installexamples instead of dh_installdocs for
    the crontab example
  * grandfatherclock: added proper checks before the command execution
    because this is a crontab example
  * debian/control: added a "this is a simple cat *.au > /dev/dsp, but
    you can configure it as you like" excuse to description
  * debian/README.Debian: added a note about the permission of a sound
    device
  * debian/control: set Standards-Version to 3.5.6
  * etc/grandfatherclock: replaced the hardcoded sound device in
    PLAY_COMMAND with %a
  * bin/grandfatherclock, etc/grandfatherclock: use absolute path for cat(1)
  * etc/grandfatherclock: set AUDIO_DEVICE to /dev/audio

 -- Oohara Yuuma <oohara@libra.interq.or.jp>  Sun, 27 Jan 2002 01:44:02 +0900

grandfatherclock (1.0.1-4) unstable; urgency=low

  * Corrected typo in copyright file. 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Thu, 29 Mar 2001 11:56:35 +0200

grandfatherclock (1.0.1-3) unstable; urgency=low

  * Corrected manpage; closes: #87588 
  * Corrected typo in control

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sun, 25 Feb 2001 16:34:13 +0100

grandfatherclock (1.0.1-2) unstable; urgency=low

  * Cronline removed (file cron.d deleted); closes: #85624 #85626

