=== debian/control ===
Source: grandfatherclock
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://grandfather.sourceforge.net/

Package: grandfatherclock
Architecture: all
Depends: ${misc:Depends}, perl, perl-modules (>= 5.6.1-5), sox (>= 12.17.3-1)
Suggests: cron
Description: a clock that tolls time acoustically
 grandfatherclock plays audio files to report the time.
 The default configuration emulates a grandfather clock
 with Westminster chimes. Cuckoo clock and Close Encounters
 of the Third Kind files are included as well.
 .
 As a matter of fact, grandfatherclock can be configured to
 execute any command.  The upstream default is simply to write
 a *.au file to a sound device file by using cat(1).
 .
 Since cat is not a good sound player, the default is changed
 to use sox instead.  grandfatherclock depends on sox to ensure
 that it can run under the default configuration.  You also need
 a kernel support for a sound device to use grandfatherclock.
