=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	cp $(CURDIR)/debian/Makefile \
	   $(CURDIR)/
	cp $(CURDIR)/debian/grandfatherclock-cron-example \
	   $(CURDIR)/grandfatherclock

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/grandfatherclock

%:
	dh $@
