=== debian/watch ===
version=3
http://sf.net/grandfather/grandfatherclock-([\d\.]*)\.tar\.gz
